Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
Botan::TLS::Session_Ticket Class Referencefinal

`#include <tls_extensions.h>`

Inheritance diagram for Botan::TLS::Session_Ticket:

## Public Member Functions
const std::vector< uint8_t > & | contents () const
bool | empty () const override
std::vector< uint8_t > | serialize () const override
| Session_Ticket ()=default
| Session_Ticket (const std::vector< uint8_t > &session_ticket)
| Session_Ticket (TLS_Data_Reader &reader, uint16_t extension_size)
Handshake_Extension_Type | type () const override

## Static Public Member Functions
static Handshake_Extension_Type | static_type ()

## Detailed Description

Session Ticket Extension (RFC 5077)

Definition at line 193 of file tls_extensions.h.

## Constructor & Destructor Documentation

Botan::TLS::Session_Ticket::Session_Ticket | ( |  | ) |
| default

Create empty extension, used by both client and server

Botan::TLS::Session_Ticket::Session_Ticket | ( | const std::vector< uint8_t > & | session_ticket | ) |
| inline explicit

Extension with ticket, used by client

Definition at line 214 of file tls_extensions.h.

214 :
215 m_ticket(session_ticket) {}

Botan::TLS::Session_Ticket::Session_Ticket | ( | TLS_Data_Reader & | reader,
|  | uint16_t | extension_size
| ) |  |

Deserialize a session ticket

Definition at line 561 of file tls_extensions.cpp.

562 : m_ticket(reader.get_elem<uint8_t, std::vector<uint8_t>>(extension_size))
563 {}

## Member Function Documentation

const std::vector<uint8_t>& Botan::TLS::Session_Ticket::contents | ( |  | ) | const
| inline

Returns
  contents of the session ticket

Definition at line 204 of file tls_extensions.h.

204 { return m_ticket; }

bool Botan::TLS::Session_Ticket::empty | ( |  | ) | const
| inline override virtual

Returns
  if we should encode this extension or not

Implements Botan::TLS::Extension.

Definition at line 224 of file tls_extensions.h.

224 { return false; }

std::vector<uint8_t> Botan::TLS::Session_Ticket::serialize | ( |  | ) | const
| inline override virtual

Returns
  serialized binary for the extension

Implements Botan::TLS::Extension.

Definition at line 222 of file tls_extensions.h.

222 { return m_ticket; }

static Handshake_Extension_Type Botan::TLS::Session_Ticket::static_type | ( |  | ) |
| inline static

Definition at line 196 of file tls_extensions.h.

References Botan::TLS::TLSEXT_SESSION_TICKET.

Referenced by type().

197 { return TLSEXT_SESSION_TICKET; }
Botan::TLS::TLSEXT_SESSION_TICKET
Definition: tls_extensions.h:42

Handshake_Extension_Type Botan::TLS::Session_Ticket::type | ( |  | ) | const
| inline override virtual

Returns
  code number of the extension

Implements Botan::TLS::Extension.

Definition at line 199 of file tls_extensions.h.

References static_type().

199 { return static_type(); }
Botan::TLS::Session_Ticket::static_type
static Handshake_Extension_Type static_type()
Definition: tls_extensions.h:196

The documentation for this class was generated from the following files:

- src/lib/tls/tls_extensions.h
- src/lib/tls/tls_extensions.cpp